Page MenuHomePhabricator
Paste P8822

(An Untitled Masterwork)
ActivePublic

Authored by jbond on Jul 30 2019, 10:30 AM.
2019-07-30 10:29:24 [WARNING] etcd.client::_check_cluster_id: etcd response did not contain a cluster ID
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/conftool/drivers/__init__.py", line 79, in _wrapper
return fn(*args, **kwdargs)
File "/usr/lib/python3/dist-packages/conftool/drivers/etcd.py", line 119, in delete
self.client.delete(key)
File "/usr/lib/python3/dist-packages/etcd/client.py", line 578, in delete
self.key_endpoint + key, self._MDELETE, params=kwds)
File "/usr/lib/python3/dist-packages/etcd/client.py", line 842, in wrapper
return self._handle_server_response(response)
File "/usr/lib/python3/dist-packages/etcd/client.py", line 922, in _handle_server_response
etcd.EtcdError.handle(r)
File "/usr/lib/python3/dist-packages/etcd/__init__.py", line 304, in handle
raise exc(msg, payload)
etcd.EtcdInsufficientPermissions: The request requires user authentication : Insufficient credentials
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/bin/conftool-sync", line 11, in <module>
load_entry_point('conftool==1.1.1', 'console_scripts', 'conftool-sync')()
File "/usr/lib/python3/dist-packages/conftool/cli/syncer.py", line 233, in main
sync.load()
File "/usr/lib/python3/dist-packages/conftool/cli/syncer.py", line 89, in load
syncers[name].cleanup()
File "/usr/lib/python3/dist-packages/conftool/cli/syncer.py", line 161, in cleanup
obj.delete()
File "/usr/lib/python3/dist-packages/conftool/kvobject.py", line 95, in delete
self.backend.driver.delete(self.key)
File "/usr/lib/python3/dist-packages/conftool/drivers/__init__.py", line 81, in _wrapper
raise BackendError("Backend error: {}".format(e))
conftool.drivers.BackendError: Backend error: The request requires user authentication : Insufficient credentials

Event Timeline

jbond created this paste.Jul 30 2019, 10:30 AM